# Class LimitedLineReader

java.lang.Object
javajs.util.LimitedLineReader

public class LimitedLineReader extends Object
A simple class to read a designated number of bytes from a file and then return them line by line, skipping lines that start with #, and including the \n or \r characters at line ends. Generally useful for determining what sort of data a file contains.

## Constructor Summary

Constructors
Constructor
Description
`LimitedLineReader(BufferedReader bufferedReader, int readLimit)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeader(int n)`
`String`
`readLineWithNewline()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LimitedLineReader

public LimitedLineReader(BufferedReader bufferedReader, int readLimit) throws Exception

Throws:
  `Exception`

## Method Details

### getHeader

public String getHeader(int n)

### readLineWithNewline

public String readLineWithNewline()